Interface CompositeHealthCheckOrBuilder (1.105.0)

public interface CompositeHealthCheckOrBuilder extends MessageOrBuilder

Implements

MessageOrBuilder

Methods

getCreationTimestamp()

public abstract String getCreationTimestamp()

Output only. [Output Only] Creation timestamp inRFC3339 text format.

optional string creation_timestamp = 30525366;

Returns
Type Description
String

The creationTimestamp.

getCreationTimestampBytes()

public abstract ByteString getCreationTimestampBytes()

Output only. [Output Only] Creation timestamp inRFC3339 text format.

optional string creation_timestamp = 30525366;

Returns
Type Description
ByteString

The bytes for creationTimestamp.

getDescription()

public abstract String getDescription()

An optional description of this resource. Provide this property when you create the resource.

optional string description = 422937596;

Returns
Type Description
String

The description.

getDescriptionBytes()

public abstract ByteString getDescriptionBytes()

An optional description of this resource. Provide this property when you create the resource.

optional string description = 422937596;

Returns
Type Description
ByteString

The bytes for description.

getFingerprint()

public abstract String getFingerprint()

Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a CompositeHealthCheck. An up-to-date fingerprint must be provided in order to patch the CompositeHealthCheck; Otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the CompositeHealthCheck.

optional string fingerprint = 234678500;

Returns
Type Description
String

The fingerprint.

getFingerprintBytes()

public abstract ByteString getFingerprintBytes()

Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a CompositeHealthCheck. An up-to-date fingerprint must be provided in order to patch the CompositeHealthCheck; Otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the CompositeHealthCheck.

optional string fingerprint = 234678500;

Returns
Type Description
ByteString

The bytes for fingerprint.

getHealthDestination()

public abstract String getHealthDestination()

URL to the destination resource. Must be set. Must be aForwardingRule. The ForwardingRule must have load balancing scheme INTERNAL orINTERNAL_MANAGED and must be regional and in the same region as the CompositeHealthCheck (cross-region deployment forINTERNAL_MANAGED is not supported). Can be mutated.

optional string health_destination = 311098027;

Returns
Type Description
String

The healthDestination.

getHealthDestinationBytes()

public abstract ByteString getHealthDestinationBytes()

URL to the destination resource. Must be set. Must be aForwardingRule. The ForwardingRule must have load balancing scheme INTERNAL orINTERNAL_MANAGED and must be regional and in the same region as the CompositeHealthCheck (cross-region deployment forINTERNAL_MANAGED is not supported). Can be mutated.

optional string health_destination = 311098027;

Returns
Type Description
ByteString

The bytes for healthDestination.

getHealthSources(int index)

public abstract String getHealthSources(int index)

URLs to the HealthSource resources whose results are AND'ed. I.e. he aggregated result is is HEALTHY only if all sources are HEALTHY. Must have at least 1. Must not have more than 10. Must be regional and in the same region as theCompositeHealthCheck. Can be mutated.

repeated string health_sources = 397879509;

Parameter
Name Description
index int

The index of the element to return.

Returns
Type Description
String

The healthSources at the given index.

getHealthSourcesBytes(int index)

public abstract ByteString getHealthSourcesBytes(int index)

URLs to the HealthSource resources whose results are AND'ed. I.e. he aggregated result is is HEALTHY only if all sources are HEALTHY. Must have at least 1. Must not have more than 10. Must be regional and in the same region as theCompositeHealthCheck. Can be mutated.

repeated string health_sources = 397879509;

Parameter
Name Description
index int

The index of the value to return.

Returns
Type Description
ByteString

The bytes of the healthSources at the given index.

getHealthSourcesCount()

public abstract int getHealthSourcesCount()

URLs to the HealthSource resources whose results are AND'ed. I.e. he aggregated result is is HEALTHY only if all sources are HEALTHY. Must have at least 1. Must not have more than 10. Must be regional and in the same region as theCompositeHealthCheck. Can be mutated.

repeated string health_sources = 397879509;

Returns
Type Description
int

The count of healthSources.

getHealthSourcesList()

public abstract List<String> getHealthSourcesList()

URLs to the HealthSource resources whose results are AND'ed. I.e. he aggregated result is is HEALTHY only if all sources are HEALTHY. Must have at least 1. Must not have more than 10. Must be regional and in the same region as theCompositeHealthCheck. Can be mutated.

repeated string health_sources = 397879509;

Returns
Type Description
List<String>

A list containing the healthSources.

getId()

public abstract long getId()

Output only. [Output Only] A unique identifier for this resource type. The server generates this identifier.

optional uint64 id = 3355;

Returns
Type Description
long

The id.

getKind()

public abstract String getKind()

Output only. [Output Only] Type of the resource. Alwayscompute#compositeHealthCheck for composite health checks.

optional string kind = 3292052;

Returns
Type Description
String

The kind.

getKindBytes()

public abstract ByteString getKindBytes()

Output only. [Output Only] Type of the resource. Alwayscompute#compositeHealthCheck for composite health checks.

optional string kind = 3292052;

Returns
Type Description
ByteString

The bytes for kind.

getName()

public abstract String getName()

Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply withRFC1035. Specifically, the name must be 1-63 characters long and match the regular expression a-z? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.

optional string name = 3373707;

Returns
Type Description
String

The name.

getNameBytes()

public abstract ByteString getNameBytes()

Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply withRFC1035. Specifically, the name must be 1-63 characters long and match the regular expression a-z? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.

optional string name = 3373707;

Returns
Type Description
ByteString

The bytes for name.

getRegion()

public abstract String getRegion()

Output only. [Output Only] URL of the region where the composite health check resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.

optional string region = 138946292;

Returns
Type Description
String

The region.

getRegionBytes()

public abstract ByteString getRegionBytes()

Output only. [Output Only] URL of the region where the composite health check resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.

optional string region = 138946292;

Returns
Type Description
ByteString

The bytes for region.

public abstract String getSelfLink()

Output only. [Output Only] Server-defined URL for the resource.

optional string self_link = 456214797;

Returns
Type Description
String

The selfLink.

getSelfLinkBytes()

public abstract ByteString getSelfLinkBytes()

Output only. [Output Only] Server-defined URL for the resource.

optional string self_link = 456214797;

Returns
Type Description
ByteString

The bytes for selfLink.

getSelfLinkWithId()

public abstract String getSelfLinkWithId()

Output only. [Output Only] Server-defined URL with id for the resource.

optional string self_link_with_id = 44520962;

Returns
Type Description
String

The selfLinkWithId.

getSelfLinkWithIdBytes()

public abstract ByteString getSelfLinkWithIdBytes()

Output only. [Output Only] Server-defined URL with id for the resource.

optional string self_link_with_id = 44520962;

Returns
Type Description
ByteString

The bytes for selfLinkWithId.

hasCreationTimestamp()

public abstract boolean hasCreationTimestamp()

Output only. [Output Only] Creation timestamp inRFC3339 text format.

optional string creation_timestamp = 30525366;

Returns
Type Description
boolean

Whether the creationTimestamp field is set.

hasDescription()

public abstract boolean hasDescription()

An optional description of this resource. Provide this property when you create the resource.

optional string description = 422937596;

Returns
Type Description
boolean

Whether the description field is set.

hasFingerprint()

public abstract boolean hasFingerprint()

Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a CompositeHealthCheck. An up-to-date fingerprint must be provided in order to patch the CompositeHealthCheck; Otherwise, the request will fail with error 412 conditionNotMet. To see the latest fingerprint, make a get() request to retrieve the CompositeHealthCheck.

optional string fingerprint = 234678500;

Returns
Type Description
boolean

Whether the fingerprint field is set.

hasHealthDestination()

public abstract boolean hasHealthDestination()

URL to the destination resource. Must be set. Must be aForwardingRule. The ForwardingRule must have load balancing scheme INTERNAL orINTERNAL_MANAGED and must be regional and in the same region as the CompositeHealthCheck (cross-region deployment forINTERNAL_MANAGED is not supported). Can be mutated.

optional string health_destination = 311098027;

Returns
Type Description
boolean

Whether the healthDestination field is set.

hasId()

public abstract boolean hasId()

Output only. [Output Only] A unique identifier for this resource type. The server generates this identifier.

optional uint64 id = 3355;

Returns
Type Description
boolean

Whether the id field is set.

hasKind()

public abstract boolean hasKind()

Output only. [Output Only] Type of the resource. Alwayscompute#compositeHealthCheck for composite health checks.

optional string kind = 3292052;

Returns
Type Description
boolean

Whether the kind field is set.

hasName()

public abstract boolean hasName()

Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply withRFC1035. Specifically, the name must be 1-63 characters long and match the regular expression a-z? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.

optional string name = 3373707;

Returns
Type Description
boolean

Whether the name field is set.

hasRegion()

public abstract boolean hasRegion()

Output only. [Output Only] URL of the region where the composite health check resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.

optional string region = 138946292;

Returns
Type Description
boolean

Whether the region field is set.

public abstract boolean hasSelfLink()

Output only. [Output Only] Server-defined URL for the resource.

optional string self_link = 456214797;

Returns
Type Description
boolean

Whether the selfLink field is set.

hasSelfLinkWithId()

public abstract boolean hasSelfLinkWithId()

Output only. [Output Only] Server-defined URL with id for the resource.

optional string self_link_with_id = 44520962;

Returns
Type Description
boolean

Whether the selfLinkWithId field is set.